package com.schbrain.archetype.initializer.response;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.util.CollectionUtils;

import java.util.List;

/**
 * @author liaozan
 * @since 2022/3/20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PreviewFileTree {

    private String fileName;

    private List<PreviewFileTree> children;

    public boolean isFile() {
        return CollectionUtils.isEmpty(children);
    }

}